-- Note: In order to change your toasty, please use the in-game editor.
local toasty = GetToasty() or "Forden";
local init = "";
local on = "";

-- [v1.3] changed order to reflect better on how it should run
if toasty == "Snorlax" then
	-- snorlax command
	init = cmd(x,SCREEN_CENTER_X;y,SCREEN_TOP-512;zoom,2;draworder,9999);
	on = cmd(sleep,2.5;linear,1.25;addy,2048);
	
else
	-- non-snorlax command
	init = cmd(horizalign,left;vertalign,bottom;x,SCREEN_WIDTH;y,SCREEN_HEIGHT);
	on = cmd(decelerate,0.3;x,468;sleep,1.0;accelerate,0.3;x,SCREEN_WIDTH);
end

local t = Def.ActorFrame{
	LoadActor( "_"..toasty ) ..{
		InitCommand=init;
		OnCommand=on;
	};
	LoadActor( THEME:GetPathS("_toasty",toasty) ) ..{
		StartTransitioningCommand=cmd(play);
	};
};

return t;